package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag996;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT996Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT996Creator mt996Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt996Creator= (MT996Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt996Creator.getMtAndDateoftheOriginalMessage();
        mt996Creator.set("11R", tag11aValue);
    }
}
